Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.joseki.server.http
Class HttpOperationCodec

    java.lang.Object
      org.joseki.server.http.HttpOperationCodec

public class HttpOperationCodec
extends java.lang.Object

Extracting operation data from HTTP servlet requests and formatting results for sending back.

Version:
  $Id: HttpOperationCodec.java,v 1.15 2004/04/30 14:13:13 andy_seaborne Exp $
Author:
  Andy Seaborne

Field Summary
`static java.lang.String` | `ENC_UTF8`

Constructor Summary
`HttpOperationCodec()`

Method Summary
`void` | `sendError(ExecutionException execEx, javax.servlet.http.HttpServletResponse response)`
`boolean` | `sendResponse(com.hp.hpl.jena.rdf.model.Model resultModel, Request request, javax.servlet.http.HttpServletRequest httpRequest, javax.servlet.http.HttpServletResponse httpResponse)` Send a response.
`void` | `setArgs(Request request, javax.servlet.http.HttpServletRequest httpRequest)`
`void` | `setParameters(Request request, javax.servlet.http.HttpServletRequest httpRequest)`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### ENC_UTF8

    public static final java.lang.String ENC_UTF8

See Also:
  Constant Field Values

Constructor Detail

### HttpOperationCodec

    public HttpOperationCodec()

Method Detail

### setArgs

    public void setArgs(Request request,
                        javax.servlet.http.HttpServletRequest httpRequest)
                 throws ExecutionException

  Throws:
    `ExecutionException`

### setParameters

    public void setParameters(Request request,
                              javax.servlet.http.HttpServletRequest httpRequest)

### sendResponse

    public boolean sendResponse(com.hp.hpl.jena.rdf.model.Model resultModel,
                                Request request,
                                javax.servlet.http.HttpServletRequest httpRequest,
                                javax.servlet.http.HttpServletResponse httpResponse)
                         throws java.io.IOException

  Send a response.

  Parameters:
    `resultModel` -
    `request` -
    `httpRequest` -
    `httpResponse` -
  Returns:
    true for a successful send, false for any problem (ie.e HTTP repsonse if not 200)
  Throws:
    `java.io.IOException`

### sendError

    public void sendError(ExecutionException execEx,
                          javax.servlet.http.HttpServletResponse response)
                   throws java.io.IOException

  Throws:
    `java.io.IOException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2002 Hewlett-Packard. All Rights Reserved.